<template>
  <div
    class="d-flex flex-column text--disabled text-center"
    v-if="$store.getters['user/getNodes'].length > 1"
  >
    <div v-if="role === 'tenantadmin'">
      <span class="mx-6"
        >Tenant: {{ $store.state.user.selectedNode.name }}</span
      >
    </div>
    <div v-if="role === 'orgaadmin'">
      <span class="mx-6">
        Organisation: {{ $store.state.user.selectedNode.name }}
      </span>
    </div>
  </div>
</template>
<script setup lang="ts">
/*
 * This file is Free Software under GNU Affero General Public License v >= 3.0
 * without warranty, see README.md and license for details.
 *
 * SPDX-License-Identifier: AGPL-3.0-or-later
 *
 * SPDX-FileCopyrightText: 2020 nic.at GmbH <https://nic.at>
 * Software-Engineering: 2020 Intevation GmbH <https://intevation.de>
 *
 * Author(s):
 * 2021, 2022 Fadi Abbud <fadi.abbud@intevation.de>
 */
import { computed } from "vue";
import { useStore } from "@/store";
const store = useStore();
const role = computed(() => {
  return store.state.user.selectedNode.level;
});
</script>
